lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'xpost/version'

Gem::Specification.new do |s|
  s.name        = 'xpost'
  s.version     = Xpost::VERSION
  s.authors     = ["David Marquez"]
  s.email       = 'david@xpanse.ph'

  s.summary     = "xpost Ruby API"
  s.date        = '2018-08-09'
  s.description = "A quick wrapped of the xpost API written by xpanse."
  s.homepage    = 'http://rubygems.org/gems/xpost'
  s.license     = 'MIT'
  
  s.files       = `git ls-files`.split("\n")
  s.require_paths = ["lib"]
  
  s.add_dependency 'activemodel', '~> 5.2'
  s.add_dependency 'typhoeus', '~> 1.3'
  s.add_dependency 'factory_bot', '~> 4.8'
  s.add_dependency 'fast_jsonapi', '~> 1.3'
  # s.add_dependency 'vcr', '~> 4.0'

  s.add_development_dependency 'bundler', "~> 1.16"
  s.add_development_dependency 'faker', "~> 1.9"
  s.add_development_dependency 'rake', "~> 12.3"
  s.add_development_dependency 'rspec', '~> 3.2'
  s.add_development_dependency 'dotenv', '~> 2.5'
end